/****************************************************************/
/*  
     ***   ***  ***  *** ***     *** ***   ******  ****  ***
     ***   ***  ***  *** ***     *** **   ***  *** ***** ***
     ***   ***  ***  *** ***     *****    ******** *** *****
      *** ***   ***  *** ******* *** **   ***  *** ***  ****
       *****     *****   ******* *** ***  ***  *** ***   ***
	   
	 Vulkan Graphics API: in 20 Minutes (Coffee Break Series)
	 Beginners Taste

     Minimal working examples (MWE) to build upon and 
	 modify to gain an understanding of the API

	 Extensions to the Vulkan Graphics Coffee Break Series
	   
/*
/****************************************************************/


#version 420

layout (binding = 1) uniform sampler2D samplerColor;

layout (location = 0) in vec4  inPosition;
layout (location = 1) in vec2  inUV;
layout (location = 2) in vec3  inColor;
layout (location = 3) in vec3  inNormal;


layout (location = 0) out vec4 outFragColor;



void main() 
{																	
	vec4 baseColour = texture(samplerColor, inUV); //vec4(0, 1, 0, 1);
	float val  = dot(inNormal, vec3(-0.1, 0.9, 0));
	float diff = 0.4 + val;
	outFragColor = baseColour * diff;			
	outFragColor.a = 1.0;							
}